use Test::More;

plan skip_all => "HTML::FormHandler::Model::DBIC is not installed." unless eval { require HTML::FormHandler::Model::DBIC };

use lib "t/lib";
use_ok "TestDB::Form::Album";

require TestDB::Schema;

my $item = TestDB::Schema->resultset('Album')->new_result({});
my $form = TestDB::Form::Album->new;
my $ret  = $form->process(
    item => $item,
    params => {
        now_created_at => '2019-01-01',
        now_updated_at => '2019-01-01',
    },
);

isa_ok $form->field('now_created_at')->value, 'DateTime';
isa_ok $form->field('now_updated_at')->value, 'Time::Moment';

my $values = $form->values;

isa_ok $values->{now_created_at}, 'DateTime';
isa_ok $values->{now_updated_at}, 'Time::Moment';

done_testing;
