package TestDB::Form::Album;

use HTML::FormHandler::Moose;
extends 'HTML::FormHandler';
with 'HTML::FormHandler::TraitFor::Model::DBIC';

use Time::MomentX::BOKUTIN;

has_field now_created_at => (
    type => "Date",
);
has_field now_updated_at => (
    type => "Date",

    # HTML::FormHandler::Manual::Reference
    #
    # trim          Transform to trim the field
    # deflation     Function to deflate the field (in 'apply') (opposite of transform)
    # deflate_method          Coderef to deflate the field (for filling in the form)
    # inflate_method          Coderef to inflate the field (before validation)
    # inflate_default_method  Coderef to inflate value from item/init_object
    # deflate_value_method    Coderef to deflate value after validation
    # fif_from_value  Flag to use 'value' of field for 'fif'.

    # HTML::FormHandler::Field::Date は validation() で _set_value($dt) している
    # has '+deflate_method' => ( default => sub { \&date_deflate } ); の date_deflate は $field->value -> input のため
    # deflate_value_method は HTML::FormHandler::Validate::validate_field で validate 後に使われる
    deflate_value_method => sub {
        my ($field, $val) = @_;
        tmx($val);
    },
);

sub update_model {}

__PACKAGE__->meta->make_immutable;
1;
